Altibase.jdbc.driver.sharding.routing

## Class ShardKeyBaseRoutingEngine

- java.lang.Object
- - Altibase.jdbc.driver.sharding.routing.ShardKeyBaseRoutingEngine

All Implemented Interfaces:
  RoutingEngine

Direct Known Subclasses:
  CompositeShardKeyRoutingEngine, SimpleShardKeyRoutingEngine

    public abstract class ShardKeyBaseRoutingEngine
    extends java.lang.Object
    implements RoutingEngine

### Field Summary

Fields
`protected CmProtocolContextShardStmt` `mShardStmtCtx`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface Altibase.jdbc.driver.sharding.routing.RoutingEngine

`route`

### Field Detail

#### mShardStmtCtx

    protected CmProtocolContextShardStmt mShardStmtCtx